Bug 1433121 - Review Request: golang-github-grpc-ecosystem-go-grpc-prometheus - Prometheus monitoring for your gRPC Go servers
Summary: Review Request: golang-github-grpc-ecosystem-go-grpc-prometheus - Prometheus ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Athos Ribeiro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-16 20:48 UTC by Jan Chaloupka
Modified: 2017-06-11 23:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-11 01:48:52 UTC
Type: ---
athoscribeiro: fedora-review+


Attachments (Terms of Use)

Description Jan Chaloupka 2017-03-16 20:48:56 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-grpc-ecosystem-go-grpc-prometheus/golang-github-grpc-ecosystem-go-grpc-prometheus.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-grpc-ecosystem-go-grpc-prometheus/golang-github-grpc-ecosystem-go-grpc-prometheus-0-0.1.git6b7015e.fc24.src.rpm

Description: Prometheus monitoring for your gRPC Go servers

Fedora Account System Username: jchaloup

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=18418505

$ rpmlint golang-github-grpc-ecosystem-go-grpc-prometheus-0-0.1.git6b7015e.fc24.src.rpm golang-github-grpc-ecosystem-go-grpc-prometheus-devel-0-0.1.git6b7015e.fc24.noarch.rpm golang-github-grpc-ecosystem-go-grpc-prometheus-unit-test-devel-0-0.1.git6b7015e.fc24.x86_64.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Athos Ribeiro 2017-03-16 22:12:58 UTC
Is there any special reason for not running the tests?

The content of the examples is only used by the test cases. It is not a test
case itself, but shouldn't it be moved to the unit-test subpackage AND to %doc on the -devel package?

Upstream provides versions (v1.1 tag is available on the same commit packaged).
You should update the Version and Release tags accordingly [1]. Refer to [2] 
if you need to package post 1.1 commits.

Package looks good overall, I will trust you will handle the Version tags before uploading. Approved

[1] https://fedoraproject.org/wiki/Packaging:Versioning
[2] https://fedoraproject.org/wiki/Package_Versioning_Examples#Complex_versioning_examples

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
     Note that golang packages share namespace!
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-grpc-ecosystem-go-grpc-prometheus-devel-0-0.1.git6b7015e.fc27.noarch.rpm
          golang-github-grpc-ecosystem-go-grpc-prometheus-unit-test-devel-0-0.1.git6b7015e.fc27.x86_64.rpm
          golang-github-grpc-ecosystem-go-grpc-prometheus-0-0.1.git6b7015e.fc27.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
golang-github-grpc-ecosystem-go-grpc-prometheus-unit-test-devel (rpmlib, GLIBC filtered):
    golang(github.com/stretchr/testify/assert)
    golang(github.com/stretchr/testify/require)
    golang(github.com/stretchr/testify/suite)
    golang-github-grpc-ecosystem-go-grpc-prometheus-devel

golang-github-grpc-ecosystem-go-grpc-prometheus-devel (rpmlib, GLIBC filtered):
    golang(github.com/golang/protobuf/proto)
    golang(github.com/prometheus/client_golang/prometheus)
    golang(golang.org/x/net/context)
    golang(google.golang.org/grpc)
    golang(google.golang.org/grpc/codes)



Provides
--------
golang-github-grpc-ecosystem-go-grpc-prometheus-unit-test-devel:
    golang-github-grpc-ecosystem-go-grpc-prometheus-unit-test-devel
    golang-github-grpc-ecosystem-go-grpc-prometheus-unit-test-devel(x86-64)

golang-github-grpc-ecosystem-go-grpc-prometheus-devel:
    golang(github.com/grpc-ecosystem/go-grpc-prometheus)
    golang-github-grpc-ecosystem-go-grpc-prometheus-devel



Source checksums
----------------
https://github.com/grpc-ecosystem/go-grpc-prometheus/archive/6b7015e65d366bf3f19b2b2a000a831940f0f7e0/go-grpc-prometheus-6b7015e.tar.gz :
  CHECKSUM(SHA256) this package     : 7bc4f0287d4405c4aff2d73eea3c87fdd2b435bfb05fd615c3c34802e817490d
  CHECKSUM(SHA256) upstream package : 7bc4f0287d4405c4aff2d73eea3c87fdd2b435bfb05fd615c3c34802e817490d

Comment 2 Jan Chaloupka 2017-03-16 23:26:20 UTC
> Is there any special reason for not running the tests?

They were failing for me due to a broken dependency. It needs to be fixed by either fixing the dependency or updating this package to a newer one. This package will get eventually updated and the test gets fixed.

> The content of the examples is only used by the test cases. It is not a test
case itself, but shouldn't it be moved to the unit-test subpackage AND to %doc on the -devel package?

I will move the code there once the tests are running properly.

> Upstream provides versions (v1.1 tag is available on the same commit packaged).
You should update the Version and Release tags accordingly [1]. Refer to [2] 
if you need to package post 1.1 commits.

Good point. The current spec generator does not care about the version as it is hard to retrieve it from the github. I will update the spec file.

Thanks for the review.

Comment 3 Dusty Mabe 2017-03-17 02:14:12 UTC
jchaloup - :) i ran through and did the whole review before I realized someone else had done it :(. Sometimes you just have one of those days.

Comment 4 Athos Ribeiro 2017-03-17 04:44:29 UTC
(In reply to Dusty Mabe from comment #3)
> jchaloup - :) i ran through and did the whole review before I realized
> someone else had done it :(. Sometimes you just have one of those days.

Take the ticket before you perform the review :(
Else, it's one review down to the project....

Comment 5 Dusty Mabe 2017-03-17 04:46:05 UTC
(In reply to Athos Ribeiro from comment #4)
>
> Take the ticket before you perform the review :(
> Else, it's one review down to the project....

Yep, that was my fault. I was shocked someone took it that quick. You are fast :)

Comment 6 Gwyn Ciesla 2017-03-17 11:47:10 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-grpc-ecosystem-go-grpc-prometheus

Comment 7 Fedora Update System 2017-03-17 12:43:54 UTC
golang-github-grpc-ecosystem-go-grpc-prometheus-1.1-0.1.git6b7015e.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-baaf33ffbf

Comment 8 Fedora Update System 2017-03-17 12:44:10 UTC
golang-github-grpc-ecosystem-go-grpc-prometheus-1.1-0.1.git6b7015e.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4de596d85f

Comment 9 Fedora Update System 2017-03-17 12:44:31 UTC
golang-github-grpc-ecosystem-go-grpc-prometheus-1.1-0.1.git6b7015e.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-839b9dd5a3

Comment 10 Fedora Update System 2017-03-17 12:44:49 UTC
golang-github-grpc-ecosystem-go-grpc-prometheus-1.1-0.1.git6b7015e.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-317280369f

Comment 11 Fedora Update System 2017-03-17 12:45:15 UTC
golang-github-grpc-ecosystem-go-grpc-prometheus-1.1-0.1.git6b7015e.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0109a0ed11

Comment 12 Fedora Update System 2017-03-17 20:24:51 UTC
golang-github-grpc-ecosystem-go-grpc-prometheus-1.1-0.1.git6b7015e.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0109a0ed11

Comment 13 Fedora Update System 2017-03-17 20:26:41 UTC
golang-github-grpc-ecosystem-go-grpc-prometheus-1.1-0.1.git6b7015e.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-baaf33ffbf

Comment 14 Fedora Update System 2017-03-17 20:46:26 UTC
golang-github-grpc-ecosystem-go-grpc-prometheus-1.1-0.1.git6b7015e.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4de596d85f

Comment 15 Fedora Update System 2017-03-17 20:48:07 UTC
golang-github-grpc-ecosystem-go-grpc-prometheus-1.1-0.1.git6b7015e.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-317280369f

Comment 16 Fedora Update System 2017-03-17 22:23:05 UTC
golang-github-grpc-ecosystem-go-grpc-prometheus-1.1-0.1.git6b7015e.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-839b9dd5a3

Comment 17 Fedora Update System 2017-04-11 01:48:52 UTC
golang-github-grpc-ecosystem-go-grpc-prometheus-1.1-0.1.git6b7015e.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-06-11 16:15:47 UTC
golang-github-grpc-ecosystem-go-grpc-prometheus-1.1-0.1.git6b7015e.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-06-11 21:51:10 UTC
golang-github-grpc-ecosystem-go-grpc-prometheus-1.1-0.1.git6b7015e.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2017-06-11 23:32:17 UTC
golang-github-grpc-ecosystem-go-grpc-prometheus-1.1-0.1.git6b7015e.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.